package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class AutoDetectVO {
   private String schema;
   private String tableName;
   private String dataSystemId;
   private List<AutoFieldVO> columnArr;

   public String getSchema() {
      return this.schema;
   }

   public String getTableName() {
      return this.tableName;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public List<AutoFieldVO> getColumnArr() {
      return this.columnArr;
   }

   public void setSchema(final String schema) {
      this.schema = schema;
   }

   public void setTableName(final String tableName) {
      this.tableName = tableName;
   }

   public void setDataSystemId(final String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public void setColumnArr(final List<AutoFieldVO> columnArr) {
      this.columnArr = columnArr;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AutoDetectVO)) {
         return false;
      } else {
         AutoDetectVO other = (AutoDetectVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$schema = this.getSchema();
            Object other$schema = other.getSchema();
            if (this$schema == null) {
               if (other$schema != null) {
                  return false;
               }
            } else if (!this$schema.equals(other$schema)) {
               return false;
            }

            Object this$tableName = this.getTableName();
            Object other$tableName = other.getTableName();
            if (this$tableName == null) {
               if (other$tableName != null) {
                  return false;
               }
            } else if (!this$tableName.equals(other$tableName)) {
               return false;
            }

            Object this$dataSystemId = this.getDataSystemId();
            Object other$dataSystemId = other.getDataSystemId();
            if (this$dataSystemId == null) {
               if (other$dataSystemId != null) {
                  return false;
               }
            } else if (!this$dataSystemId.equals(other$dataSystemId)) {
               return false;
            }

            Object this$columnArr = this.getColumnArr();
            Object other$columnArr = other.getColumnArr();
            if (this$columnArr == null) {
               if (other$columnArr != null) {
                  return false;
               }
            } else if (!this$columnArr.equals(other$columnArr)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof AutoDetectVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $schema = this.getSchema();
      result = result * 59 + ($schema == null ? 43 : $schema.hashCode());
      Object $tableName = this.getTableName();
      result = result * 59 + ($tableName == null ? 43 : $tableName.hashCode());
      Object $dataSystemId = this.getDataSystemId();
      result = result * 59 + ($dataSystemId == null ? 43 : $dataSystemId.hashCode());
      Object $columnArr = this.getColumnArr();
      result = result * 59 + ($columnArr == null ? 43 : $columnArr.hashCode());
      return result;
   }

   public String toString() {
      return "AutoDetectVO(schema=" + this.getSchema() + ", tableName=" + this.getTableName() + ", dataSystemId=" + this.getDataSystemId() + ", columnArr=" + this.getColumnArr() + ")";
   }
}
